Skip to main content

Attach a VPC to a Group

Attaches one or more VPC networks to the group. New nodes launched after the change join the attached VPC(s). VPC operations are only allowed while the group is stopped - use Stop / Start first.

PUT/api/v1/scaler/scalegroups/{scaler_id}/vpc/action/

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Request body

application/json

object

VPC networks to attach to the group.

vpcarrayrequired

List of VPC networks to attach.

Responses

200Successful response
object

VPC attach confirmation.

codeinteger
example200
datastring
examplevpc has been attached successfully
errorsobject
messagestring
exampleSuccess